Class
CompressedSA
A suffix array storing only a few suffix array entries and computing the remaining on demand.
CompressedSA<TSparseString, TLfTable, TSpec>
Include Headers
seqan/index.h
Parameters

TSparseString | The string containing specific suffix array entries. Types: SparseString
TLfTable | The lfTable containg an occurrence table and a prefix sum table. Types: LfTable
TSpec | Possibility to specialize a compressed suffix array. Default: void.

Remarks
The compressed suffix array can only be used with the FM index.
Functions

begin | The begin of a container.
clear | Resets an object.
createCompressedSa | This functions creates a compressed suffix array with a specified compression factor.
empty | Test a container for being empty.
end | The end of a container.
getFibre | Returns a specific fibre of a container.
length | The number of items/characters.
open | This functions opens a compressed suffix array from disk.
resize | Resizes a container. If the new length exceeds the old length the new elements are filled with copies of value.
save | This functions saves a compressed suffix array to disk.
setLfTable | Set the LfTable of the compressed suffix array.
value | Returns the value stored at a specified position in the compressed suffix-array.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56